## gnupg 1.4.6-2maemo1

=== debian/changelog ===
gnupg (1.4.6-2maemo1) unstable; urgency=low

  * Conflict/replace with the old osso-gnupg.

 -- Marius Vollmer <mvo@zagadka.de>  Fri, 07 Dec 2007 00:55:15 +0200

gnupg (1.4.6-2maemo0) unstable; urgency=low

  * Disabled email and email.  Removed build dependencies.  Use
    libreadline4 instead of libreadline5.  Don't let gpg depend on makedev
    etc, fingers crossed.

 -- Marius Vollmer <mvo@zagadka.de>  Thu, 06 Dec 2007 23:44:56 +0200

gnupg (1.4.6-2) unstable; urgency=medium

  * 28_multiple_message.dpatch: new patch from upstream to fix problems
    handling verification of messages with multiple
    components. [CVE-2007-1263]

 -- James Troup <james@nocrew.org>  Wed,  7 Mar 2007 21:47:35 +0000

gnupg (1.4.6-1) unstable; urgency=high

  * New upstream release.
   * Fixes remotely controllable function pointer [CVE-2006-6235]

  * 27_filename_overflow.dpatch: merged upstream, dropped.
  * 24_gpgv_manpage_cleanup.dpatch: updated and a couple of additional
    trivial fixes.

  * debian/rules (binary-arch): info copy of manuals moved to
    /usr/share/info - remove them there instead.  Manuals are now built
    from texi source, so install them from build tree, not top level.

  * debian/copyright: update to add OpenSSL exemption for keyserver helper
    tools.

 -- James Troup <james@nocrew.org>  Thu,  7 Dec 2006 02:54:51 +0000

gnupg (1.4.5-3) unstable; urgency=high

  * 27_filename_overflow.dpatch: new patch from upstream to fix buffer
    overflow in ask_outfile_name(). [CVE-2006-6169]

 -- James Troup <james@nocrew.org>  Mon, 27 Nov 2006 21:23:37 +0000

gnupg (1.4.5-2) unstable; urgency=low

  * debian/control: add gpgv package.  Make gnupg package depend on it.
  * debian/rules (binary-arch): add support for building gpgv package.
    Adapt gnupg package creation accordingly.
  * debian/rules (clean): clean gpgv package temporary directory.

 -- James Troup <james@nocrew.org>  Thu, 26 Oct 2006 02:14:46 +0100

gnupg (1.4.5-1) unstable; urgency=low

  * New upstream release.
   * 23_getkey_utf8_userid.dpatch: superseded by different fix upstream,
     dropped.
   * 26_user_id_overflow.dpatch: merged upstream, dropped.
   * 25_de.po_fixes.dpatch: updated.

  * debian/copyright: update FSF address.
  * debian/changelog: convert to UTF-8.
  * debian/control (Standards-Version): bump to 3.7.2.1.

 -- James Troup <james@nocrew.org>  Tue,  1 Aug 2006 22:50:09 +0100

gnupg (1.4.3-2) unstable; urgency=low

  * 26_user_id_overflow.dpatch: new patch pulled from upstream SVN to fix
    a crash when processing overly large User ID packets [CVE-2006-3082].
    Thanks to Alec Berryman <alec@thened.net>. Closes: #375052

 -- James Troup <james@nocrew.org>  Fri, 23 Jun 2006 11:22:31 +0100

gnupg (1.4.3-1) unstable; urgency=low

  * New upstream release.
   * 22_zero_length_mpi_fix.dpatch: merged upstream, dropped.
   * debian/rules (test): s/g10.c/gpg.c/.
   * 16_min_privileges.dpatch: likewise.

  * debian/control, debian/rules: apply patch from Max Vozeler
    <xam@debian.org> to build gnupg-udeb.  Closes: #321948
  
  * Based on discussion with and testing by Martin Pitt
    <martin.pitt@ubuntu.com>:
   * debian/rules (build-deb-stamp): don't pass --with-included-gettext to
     configure.
   * debian/rules (build-udeb-stamp): likewise.
   * debian/rules (binary-arch): don't need to remove
     usr/share/locale/locale.alias anymore as a result.

  * debian/rules (build-deb-stamp): pass --enable-mailto to configure.
    Closes #301308
  * debian/rules (build-udeb-stamp): likewise.

  * debian/control (Build-Depends): drop mail-transport-agent and...
  * debian/rules (build-deb-stamp): pass
    --with-mailprog=/usr/sbin/sendmail to configure instead.
  * debian/rules (build-udeb-stamp): likewise.  Closes: #333218

  * debian/rules: put common configure options into CONFARGS variable and
    rename the cross-compile-only variable to HOSTARG.

  * debian/rules (clean): also remove debian/gnupg-deb build directory.

  * debian/gpg-convert-from-106.1, debian/gpgsplit.1, debian/lspgpot.1:
    new manpages from François Wendling <frwendling@free.fr>.  Closes:
    #344314
  * debian/rules (binary-arch): install them.

  * The following is a patch from Frans Pop <aragorn@tiscali.nl>.  Closes:
    #360257
   * debian/control (Build-Depends): add dpkg-dev (>= 1.13.12).
   * debian/rules (binary-arch): pass -tudeb when invoking dpkg-shlibdeps
     for the .udeb builds.

  * 23_getkey_utf8_userid.dpatch: new patch from Fumitoshi UKAI
    <ukai@debian.or.jp> to fix '[User id not found]' message in non-UTF-8
    locales.  Closes: #205028

  * 24_gpgv_manpage_cleanup.dpatch: new patch from "Jim W. Jaszewski"
    <grok@sprint.ca> to fix small errors in the gpgv manpage.  Closes:
    #177951

  * 25_de.po_fixes.dpatch: new patch from Jens Seidel
    <jensseidel@users.sf.net> with small fixes to the German translations.
    Closes: #314069

 -- James Troup <james@nocrew.org>  Wed,  5 Apr 2006 02:45:56 +0100

gnupg (1.4.2.2-1) unstable; urgency=low

  * New upstream release.
   * Fixes handling of files containing several signed messages.
     [CVE-2006-0049]

 -- James Troup <james@nocrew.org>  Fri, 10 Mar 2006 04:27:12 +0000

gnupg (1.4.2-2) unstable; urgency=low

  * 22_zero_length_mpi_fix.dpatch: new patch; pull in upstream patch to
    fix bug in reading a zero-length MPI.  Closes: #330686

 -- James Troup <james@nocrew.org>  Sun,  2 Oct 2005 02:39:51 +0100

gnupg (1.4.2-1) unstable; urgency=low

  * New upstream release.
   * Fixes extra ) on expired keys.  Closes: #329402

  * debian/control (Standards-Version): updated to 3.6.2.1.

  * debian/rules (binary-arch): drop 'gnupg/' from libexecdir passed to
    make install.

 -- James Troup <james@nocrew.org>  Sat, 24 Sep 2005 03:31:37 +0100

gnupg (1.4.1-1) unstable; urgency=low

  * New upstream release.  Closes: #307203
   * Fixes mis-selection of encryption key.  Closes: #299814
   * Countermeasures against the Mister/Zuccherato CFB attack.  

