=== debian/control ===
Source: gnupg
Section: utils
Priority: standard
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Standards-Version: 3.7.2.1
Build-Depends: libz-dev, libbz2-dev, libusb-dev, libreadline4-dev, file, gettext, dpatch, dpkg-dev (>= 1.13.12)

Package: gnupg
Architecture: any
Depends: ${shlibs:Depends}, gpgv
Suggests: gnupg-doc, xloadimage
Conflicts: gpg-rsa, gpg-rsaref, suidmanager (<< 0.50), gpg-idea (<= 2.2), osso-gnupg (<< 1.4.6)
Replaces: gpg-rsa, gpg-rsaref, osso-gnupg (<< 1.4.6)
Provides: gpg-rsa, gpg-rsaref
Description: GNU privacy guard - a free PGP replacement
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 GnuPG does not use any patented algorithms so it cannot be compatible
 with PGP2 because it uses IDEA (which is patented worldwide).

Package: gpgv
Architecture: any
Priority: important
Depends: ${shlibs:Depends}
Suggests: gnupg
Conflicts: osso-gnupg (<< 1.4.6)
Replaces: gnupg (<< 1.4.5-2), osso-gnupg (<< 1.4.6)
Description: GNU privacy guard - signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures.  It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.

Package: gnupg-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: GNU privacy guard - a free PGP replacement
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This is GnuPG packaged in minimal form for use in debian-installer.

Package: gpgv-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: minimal signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This is GnuPG's signature verification tool, gpgv, packaged in minimal
 form for use in debian-installer.
