## gnupg 1.4.12

=== debian/changelog ===
gnupg (1.4.12-7+deb7u9) wheezy-security; urgency=medium

  * Backport fixes for CVE-2017-7526 from STABLE-BRANCH-1-4 branch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Aug 2017 11:59:38 +0200

gnupg (1.4.12-7+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * gpgv: Tweak default options for extra security.
  * g10: Fix checking key for signature validation.
  * Fix CVE-2016-6313:
    - cipher: Improve readability by using a macro.
    - random: Hash continuous areas in the csprng pool.

 -- Santiago R.R. <santiagorr@riseup.net>  Sat, 27 Aug 2016 10:24:29 +0200

gnupg (1.4.12-7+deb7u7) wheezy-security; urgency=high

  * Use ciphertext blinding for Elgamal decryption to counteract a
    side-channel attack as per CVE-2014-3591
  * Fix data-dependent timing variations in the modular exponentiation
    function that could be used to mount a side-channel attack as per
    CVE-2015-0837
  * Fix a use-after-free when importing a garbled keyring file
    as per CVE-2015-1606 (Closes: #778652)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 04 Mar 2015 18:46:34 +0100

gnupg (1.4.12-7+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add upstream patches to fix regressions on screening of
    keyserver responses

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Sep 2014 22:17:30 +0200

gnupg (1.4.12-7+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-5270.patch patch.
    CVE-2014-5270: side-channel attack on Elgamal encryption subkeys.
    Cryptanalysis attack as described by Genkin, Pipman and Tromer.
    See <http://www.cs.tau.ac.il/~tromer/handsoff/>
  * Add 0001-Screen-keyserver-responses.patch.
    Apply a constraining filter to imported keys. These filters can verify
    the fingerprints of the keys returned before importing them into the
    keyring, ensuring that the keys fetched from the keyserver are in fact
    those selected by the user beforehand.
    Thanks to Stefan Tomanek <stefan@pico.ruhr.de> (Closes: #725411)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 26 Aug 2014 22:11:32 +0200

gnupg (1.4.12-7+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2014-4617: Avoid DoS due to garbled compressed data packets.
    Apply upstream commit to stop a possible DoS using garbled compressed
    data packets which can be used to put gpg into an infinite loop.
    (Closes: #752497)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Jun 2014 11:21:36 +0200

gnupg (1.4.12-7+deb7u3) wheezy-security; urgency=high

  * Fixed the RSA Key Extraction via Low-Bandwidth Acoustic
    Cryptanalysis attack as described by Genkin, Shamir, and Tromer.
    See <http://www.cs.tau.ac.il/~tromer/acoustic/>. [CVE-2013-4576]

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 14 Dec 2013 09:18:28 +0100

gnupg (1.4.12-7+deb7u2) wheezy-security; urgency=high

  * Apply upstream patch to fix infinite recursion in the
    compressed packet parser (CVE-2013-4402, closes: #725439).
  * Apply upstream patch to fix treating no-usage-permitted
    keys as all-usages-permitted (CVE-2013-4351, closes: #722722).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 09 Oct 2013 17:26:36 +0200

gnupg (1.4.12-7+deb7u1) wheezy-security; urgency=high

  * Apply upstream patch to fix side channel attack on RSA
    (CVE-2013-4242, closes: #717880).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 28 Jul 2013 12:58:25 +0200

gnupg (1.4.12-7) unstable; urgency=high

  * Apply upstream patch to fix memory and key database corruption
    when importing with invalid keys (CVE-2012-6085, closes: #697108).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 02 Jan 2013 19:48:36 +0100

gnupg (1.4.12-6) unstable; urgency=low

  * debian/patches/685627_french_translation_update.patch: Adjusted.
    - po/gnupg.pot: Trigger .gmo rebuild by date update (closes: #685627).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 14 Oct 2012 12:11:18 +0200

gnupg (1.4.12-5) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Add lintian override for gnupg-curl non-conflict.

  [ Daniel Leidert ]
  * debian/README.BUGS.Debian: Added note about gpg not returning an error
    message if junk is given after --edit-key/--send-keys (closes: #630388).
  * patches/685627_french_translation_update.patch: Added.
    - po/fr.po: French translation proofread and updated (closes: #685627).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 09 Apr 2012 18:44:33 +0200

gnupg (1.4.12-4) unstable; urgency=low

  * Move mingw64 to B-D-I, adjust make targets. This helps debian-ports
    architectures: mingw64 is not commonly available there.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 05 Mar 2012 23:20:34 +0100

gnupg (1.4.12-3) unstable; urgency=low

  * Upload to unstable.
  * Correct path for gpgv-win32 to /usr/share/win32.
  * Updated to policy 3.9.3.
  * Convert to copyright-format 1.0.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 24 Feb 2012 09:25:20 +0100

gnupg (1.4.12-2) experimental; urgency=low

  * Move mingw-w64 from build-depends-indep to build-depends,
    otherwise buildds won't install it (classic mistake).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 22 Feb 2012 20:12:47 +0000

gnupg (1.4.12-1) experimental; urgency=low

  * New upstream release.
    - Documents keyid-format and with-colons combination (LP: #808295).
    - No longer requires readline for gpgv (closes: #592902).
    - Fixes man page format error for gpg-zip (closes: #606072).
    - Fixes gpg manual page (closes: #640140).
  * As we're now on 0 patches, and dpatch is supposedly obsoleted,
    take the chance to switch to dpkg-source 3.0 (quilt) format.
  * Several packaging tweaks to keep Lintian happy.
  * Mark packages Multi-Arch: foreign. thanks Colin Watson (closes: #649490).
  * Fix path to README.BUGS.Debian.gz in presubj (closes: #614962).
  * Add Crypto Stick to udev rules (closes: #648332).

