=== debian/control ===
Source: gnupg
Section: utils
Priority: important
Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
 Daniel Leidert <dleidert@debian.org>,
 Thijs Kinkhorst <thijs@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>> 7), libz-dev, libldap2-dev, libbz2-dev,
 libusb-dev [!hurd-i386],
 libreadline-dev, file, gettext, 
 libcurl4-gnutls-dev
Build-Depends-Indep: mingw-w64
Homepage: http://www.gnupg.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnupg/gnupg/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnupg/gnupg/trunk/

Package: gnupg
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, gpgv
Recommends: ${shlibs:Recommends}, gnupg-curl
Suggests: gnupg-doc, xloadimage | imagemagick | eog, libpcsclite1
Description: GNU privacy guard - a free PGP replacement
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 GnuPG 1.4 is the standalone, non-modularized series. In contrast to
 the version 2 series, shipped with the gnupg2 package, it comes
 with no support for S/MIME and some other tools useful for desktop
 environments, but also with less dependencies.
 .
 The gnupg package is built without libcurl. So it does not support
 HKPS keyservers. Install the gnupg-curl package if you want to use
 the keyserver helper tools built with libcurl and supporting HKPS.
 .
 GnuPG does not use any patented algorithms. This means it cannot be
 compatible with PGP2, because that uses IDEA (which is patented in
 a number of countries).

Package: gnupg-curl
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${shlibs:Recommends}, ${misc:Depends}, gnupg
Description: GNU privacy guard - a free PGP replacement (cURL)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This package contains the keyserver helper tools built with libcurl,
 which replace the ones in the gnupg package built with the "curl shim"
 variant of gnupg. This package provides support for HKPS keyservers.
 .
 GnuPG does not use any patented algorithms. This means it cannot be
 compatible with PGP2, because that uses IDEA (which is patented in
 a number of countries).

Package: gpgv
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg
Description: GNU privacy guard - signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures.  It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.

Package: gnupg-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU privacy guard - a free PGP replacement
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This is GnuPG packaged in minimal form for use in debian-installer.

Package: gpgv-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimal signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This is GnuPG's signature verification tool, gpgv, packaged in minimal
 form for use in debian-installer.

Package: gpgv-win32
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: wine
Description: GNU privacy guard - signature verification tool (win32 build)
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures.  It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.
 .
 This is a win32 version of gpgv.  It's meant to be used by the win32-loader
 component of Debian-Installer.
