## gnupg 1.4.14

=== debian/changelog ===
gnupg (1.4.14-1ubuntu2.2) saucy-security; urgency=medium

  * SECURITY UPDATE: denial of service via uncompressing garbled packets
    - debian/patches/CVE-2014-4617.patch: limit number of extra bytes in
      g10/compress.c.
    - CVE-2014-4617

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jun 2014 08:28:58 -0400

gnupg (1.4.14-1ubuntu2.1) saucy-security; urgency=low

  * SECURITY UPDATE: RSA Key Extraction via Low-Bandwidth Acoustic
    Cryptanalysis attack
    - debian/patches/CVE-2013-4576.patch: Use blinding for the RSA secret
      operation in cipher/random.*, cipher/rsa.c, g10/gpgv.c. Normalize the
      MPIs used as input to secret key functions in cipher/dsa.c,
      cipher/elgamal.c, cipher/rsa.c.
    - CVE-2013-4576

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Dec 2013 11:08:33 -0500

gnupg (1.4.14-1ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: incorrect no-usage-permitted flag handling
    - debian/patches/CVE-2013-4351.patch: correctly handle empty key flags
      in g10/getkey.c, g10/keygen.c, include/cipher.h.
    - CVE-2013-4351
  * SECURITY UPDATE: denial of service via infinite recursion
    - debian/patches/CVE-2013-4402.patch: set limits on number of filters
      and nested packets in util/iobuf.c, g10/mainproc.c.
    - CVE-2013-4402

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Oct 2013 07:40:27 -0400

gnupg (1.4.14-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Aug 2013 11:27:51 +0100

gnupg (1.4.14-1) unstable; urgency=low

  * New upstream release (closes: #717845).
    - Adds IDEA support. Update package description.
    - Fixes security issue: side channel attack on RSA.
      (CVE-2013-4242, closes: #717880).
    - Fixes list-keys hanging at ctrl-C (closes: #399904).
  * Add more smartcard reader udev rules, thanks Niibe Yutaka
    (closes: #691392).
  * Checked for policy 3.9.4, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Jul 2013 21:50:32 +0200

gnupg (1.4.12-7ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.
    - Update config.guess/config.sub for aarch64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 10:47:07 +0000

gnupg (1.4.12-6ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
    - Remove the Win32 build.
    - Update config.guess/config.sub for aarch64.
  * Dropped patches:
    - Fix udeb build failure on powerpc, building with -O2 instead of -Os.
      (No longer seems to be necessary.)
  * Simplify removal of Win32 build, to make this easier to merge in future.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 22:26:16 +0000

gnupg (1.4.11-3ubuntu4) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:41 +0100

gnupg (1.4.11-3ubuntu3) quantal-proposed; urgency=low

  * debian/patches/long-keyids.dpatch: Use the longest key ID available
    when requesting a key from a key server.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Jul 2012 10:28:39 -0400

gnupg (1.4.11-3ubuntu2) precise; urgency=low

  * Mark gnupg, gnupg-curl, and gpgv Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 13:42:07 +0000

gnupg (1.4.11-3ubuntu1) natty; urgency=low

  * Resynchronise with Debian (LP: #720905).  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Fix udeb build failure on powerpc, building with -O2 instead of -Os.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.
  * debian/{control,rules}: Remove the Win32 build (and mingw32
    build-dependency), since mingw32 is in universe, and will remain so for
    the forseeable future.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 22 Feb 2011 11:00:25 +0100

gnupg (1.4.10-4ubuntu2) natty; urgency=low

  * No-change rebuild to drop upstream changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Dec 2010 08:31:25 +0100

gnupg (1.4.10-4ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Disable mlock() test since it fails with ulimit 0 (on buildds).
    - Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
    - Fix udeb build failure on powerpc, building with -O2 instead of -Os.
    - Only suggest gnupg-curl and libldap; recommendations are pulled into
      minimal, and we don't need the keyserver utilities in a minimal Ubuntu
      system.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 11:48:06 +0100

gnupg (1.4.10-2ubuntu2) maverick; urgency=low

  * Only suggest gnupg-curl and libldap; recommendations are pulled into
    minimal, and we don't need the keyserver utilities in a minimal Ubuntu
    system.


