=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 
 build: build-arch
 build-arch: build-deb-stamp build-deb-curl-stamp build-udeb-stamp
-build-indep: build-win32-stamp
+build-indep:
 
 ##################################### clean ##################################
