## gnupg 1.4.15

=== debian/changelog ===
gnupg (1.4.15-3b1) staging; urgency=low

  * Rebuild for Tanglu

 -- Jon Severinsson <jon@severinsson.net>  Mon, 27 Jan 2014 00:00:00 +0100

gnupg (1.4.15-3) unstable; urgency=high

  * Actually apply patch for CVE-2013-4576 (closes: #732705).
    Thanks Marc Deslauriers for reporting.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 20 Dec 2013 15:41:30 +0100

gnupg (1.4.15-2) unstable; urgency=high

  * Fixed the RSA Key Extraction via Low-Bandwidth Acoustic
    Cryptanalysis attack as described by Genkin, Shamir, and Tromer.
    See <http://www.cs.tau.ac.il/~tromer/acoustic/>. [CVE-2013-4576]
  * Add two Gemalto card readers to udev rules (closes: #730872),
    thanks Yves-Alexis Perez.
  * Checked for policy 3.9.5, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 12 Dec 2013 20:34:27 +0100

gnupg (1.4.15-1.1) unstable; urgency=high

  * Non-maintainer upload, by request of Thijs Kinkhorst.
  * Add patch revert_trustdb_changes:
   - Revert upstream GIT a1a59e6a539e597996976d0afb6aa3062e954188
     which breaks popularity-contest (closes: #725889).

 -- Bill Allombert <ballombe@debian.org>  Wed, 16 Oct 2013 13:02:26 +0200

gnupg (1.4.15-1) unstable; urgency=high

  * New upstream release (closes: #725718).
    - Fixed possible denial of service in the compressed packet
      parser (CVE-2013-4402, closes: #725439).
    - Documents limitations of the verify command (closes: #704645).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 07 Oct 2013 20:05:43 +0200
