=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gnupg
 Section: utils
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuPG-Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
  Daniel Leidert <dleidert@debian.org>,
  Thijs Kinkhorst <thijs@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>> 7), libz-dev, libldap2-dev, libbz2-dev,
  libusb-dev [!hurd-i386],
  libreadline-dev, file, gettext, 
  libcurl4-gnutls-dev
+Build-Depends-Indep: mingw-w64
 Homepage: http://www.gnupg.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnupg/gnupg/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnupg/gnupg/trunk/
@@ -19,7 +19,8 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, gpgv
-Suggests: ${shlibs:Suggests}, gnupg-curl, gnupg-doc, xloadimage | imagemagick | eog, libpcsclite1
+Recommends: ${shlibs:Recommends}, gnupg-curl
+Suggests: gnupg-doc, xloadimage | imagemagick | eog, libpcsclite1
 Description: GNU privacy guard - a free PGP replacement
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -39,7 +40,7 @@
 Priority: optional
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${shlibs:Suggests}, ${misc:Depends}, gnupg
+Depends: ${shlibs:Depends}, ${shlibs:Recommends}, ${misc:Depends}, gnupg
 Description: GNU privacy guard - a free PGP replacement (cURL)
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -91,3 +92,19 @@
  .
  This is GnuPG's signature verification tool, gpgv, packaged in minimal
  form for use in debian-installer.
+
+Package: gpgv-win32
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends}
+Suggests: wine
+Description: GNU privacy guard - signature verification tool (win32 build)
+ GnuPG is GNU's tool for secure communication and data storage.
+ .
+ gpgv is a stripped-down version of gnupg which is only able to check
+ signatures.  It is smaller than the full-blown gnupg and uses a
+ different (and simpler) way to check that the public keys used to
+ make the signature are trustworthy.
+ .
+ This is a win32 version of gpgv.  It's meant to be used by the win32-loader
+ component of Debian-Installer.
